octave-control (3.1.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: reflect upstream changes.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 25 Mar 2018 17:44:54 -0300

octave-control (3.1.0-1) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * New upstream version 3.1.0
  * d/p/spelling-errors-in-warning-messages.patch: Drop patch (applied upstream)
  * d/p/lti-pole-unit-tests.patch: New patch
  * Remove obsolete files d/octave-control.doc*

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 25 Mar 2018 14:34:39 -0300

octave-control (3.0.0-5) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:27:31 -0200

octave-control (3.0.0-4) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:14 -0200

octave-control (3.0.0-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/p/comment-out-failing-unit-tests.patch: New patch.
    The package FTBFS with octave-pkg-dev 1.5.0 because it now exits with
    a code error when unit tests fail.  We comment out, for now, the
    failing tests, but this must be addressed in a proper way, since it
    may hide problems in the package. (Closes: #874144)
  * d/control:
    + Bump Standards-Version to 4.1.0 (no changes needed)
    + Use cgit instead of gitweb in Vcs-Browser URL

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 06 Sep 2017 12:49:34 -0300

octave-control (3.0.0-2) unstable; urgency=medium

  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.8 (no changes needed)
  * d/p/spelling-errors-in-warning-messages.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 15 Aug 2016 05:07:20 -0300

octave-control (3.0.0-1) unstable; urgency=medium

  * Imported Upstream version 3.0.0
  * d/control: update short description

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 04 Nov 2015 10:48:46 +0100

octave-control (2.8.5-1) unstable; urgency=medium

  * Imported Upstream version 2.8.5

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 03 Oct 2015 00:06:14 +0200

octave-control (2.8.4-1) unstable; urgency=medium

  * Imported Upstream version 2.8.4 (Closes: #798443)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 13 Sep 2015 06:53:30 -0300

octave-control (2.8.3-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 2.8.3

  [ Rafael Laboissiere ]
  * d/copyright: Reflect upstream changes
  * d/p/use-external-slicot.patch: Refresh for new upstream version

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 17:40:44 +0200

octave-control (2.6.6-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 2.6.6

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 Oct 2014 15:25:30 +0200

octave-control (2.6.5-1) unstable; urgency=medium

  * Imported Upstream version 2.6.5
  * Uploaders: add Rafael Laboissiere and Mike Miller, remove Thomas Weber.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 28 Jun 2014 18:56:48 +0200

octave-control (2.6.4-1) unstable; urgency=medium

  * Imported Upstream version 2.6.4

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 09 May 2014 20:32:32 +0200

octave-control (2.6.3-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.6.3

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 30 Apr 2014 11:13:29 +0200

octave-control (2.6.2-1) unstable; urgency=medium

  * Imported Upstream version 2.6.2
  * debian/copyright: reflect upstream changes.

 -- Thomas Weber <tweber@debian.org>  Mon, 03 Feb 2014 13:14:09 +0100

octave-control (2.6.1-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 2.6.1
  * debian/copyright: reflect upstream changes.

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Dec 2013 15:32:07 +0100

octave-control (2.6.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.6.0

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 27 Oct 2013 12:41:11 +0000

octave-control (2.4.5-1) unstable; urgency=low

  * Imported Upstream version 2.4.5

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 13 Oct 2013 18:01:15 +0200

octave-control (2.4.4-1) unstable; urgency=low

  * Imported Upstream version 2.4.4
  * debian/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 16 Aug 2013 23:28:39 +0200

octave-control (2.4.3-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.4.3

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields
  * Remove Lintian overrides for false positives on hardening flags

 -- Thomas Weber <tweber@debian.org>  Tue, 23 Jul 2013 14:25:01 +0200

octave-control (2.4.2-2) unstable; urgency=low

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 May 2013 17:46:49 +0200

octave-control (2.4.2-1) experimental; urgency=low

  * Imported Upstream version 2.4.2
  * debian/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 17 Apr 2013 12:37:11 +0200

octave-control (2.4.1-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.4.1
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 04 Nov 2012 11:38:59 +0100

octave-control (2.3.54-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.3.54
  * debian/patches/use-external-slicot.patch: Refresh for new upstream version

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 17 Sep 2012 10:48:09 +0000

octave-control (2.3.53-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.3.53

  [ Sébastien Villemot ]
  * Use external SLICOT
    + Build-Depend on libslicot-dev
    + use-external-slicot.patch: new patch to src/Makefile

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 03 Sep 2012 20:45:24 +0000

octave-control (2.3.52-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.3.52
  * debian/copyright: Reflect upstream changes

 -- Thomas Weber <tweber@debian.org>  Mon, 25 Jun 2012 23:44:23 +0200

octave-control (2.3.51-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.3.51
  * debian/watch: Use the SourceForge redirector
  * Add Lintian overrides for false positives on hardening flags

  [ Sébastien Villemot ]
  * debian/copyright: reflect upstream changes, simplify
  * Remove obsolete Lintian overrides for source package

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 05 Jun 2012 20:56:15 +0200

octave-control (2.3.50-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release
  * debian/control:
    + Bump standards version to 3.9.3, no changes needed
    + Bump the build-dependency on octave-pkg-dev to >= 1.0.0
    + Add Sébastien Villemot to the list of Uploaders
  * Bump the debhelper compatibility level to 9
  * debian/copyright: Update copyright notices and adapt to version
    1.0 of the machine-readable format

  [ Thomas Weber]
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571841)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch architecture to 'any', as the new upstream release contains
    compiled code.
  * Add Fortran library from NICONET to debian/copyright.
  * Switch to dpkg-source 3.0 (quilt) format
  * Update description for new upstream release

 -- Thomas Weber <tweber@debian.org>  Mon, 12 Mar 2012 21:42:58 +0100

octave-control (1.0.11-2) unstable; urgency=low

  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 15 Nov 2009 16:18:17 +0100

octave-control (1.0.11-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Bump standards version to 3.8.2, no changes needed
  * debian/octave-control.docs: Use octave-control.docs for documentation
    installation and build-depend on octave-pkg-dev >= 0.7.1
  * debian/patches/no-check-failure-acker-place.diff: removed, applied
    upstream
  * No more patches, remove quilt from build-dependencies

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 19 Jul 2009 18:58:35 +0200

octave-control (1.0.10-1) unstable; urgency=low

  * New upstream release
  * debian/patches/no-check-failure-acker-place.diff: Get around precision
    problems when testing functions acker and place
  * debian/rules:
    + Include patchsys-quilt.mk
    + Remove unneeded documentation sources from /usr/share/doc
  * debian/control:
    + (Build-Depends): Add quilt
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/source.lintian-overrides: Add file for overriding Lintian
    warnings build-depends-without-arch-dep
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/README.source: Add file explaining the quilt patch system, as
    required by the Policy

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 12:05:04 +0200

octave-control (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 11 Apr 2009 19:47:50 +0200

octave-control (1.0.7-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * debian/control: Bump dependency on octave-pkg-dev to 0.6.1, to get the
    experimental version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 30 Nov 2008 22:11:14 +0100

octave-control (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 11 May 2008 23:58:02 +0200

octave-control (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468498)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Wed, 06 Feb 2008 22:10:04 +0100
